import javax.swing.*;  // java swing sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir
import bayagikesir;

public class bkTesti_2000 extends JApplet implements ActionListener
{
    //
    //=====================================================
    // sinif degiskenleri
    // bu degiskenler tum sınıfa aittir
    JLabel kutubasligi1;       //JLabel sinifi degiskeni (nesnesi) kutubasligi1
    JTextField kutugirdisi1;   // Textfield sinifi degiskeni (nesnesi) kutugirdisi1
    JLabel kutubasligi2;       //JLabel sinifi degiskeni (nesnesi) kutubasligi2
    JTextField kutugirdisi2;   // JTextfield sinifi degiskeni (nesnesi) kutugirdisi2
    JTextField kutugirdisi3;   // JTextfield sinifi degiskeni (nesnesi) kutugirdisi2
    JTextField kutugirdisi4;   // JTextfield sinifi degiskeni (nesnesi) kutugirdisi2
    JTextArea cikti;           // JTextArea sınıfı değişkeni (nesnesi) cikti
    bayagikesir k1;              // bayagikesir degisken k1
    bayagikesir k2;              // bayagikesir degisken k2
    //=====================================================
    // pencereyi baslatma metodu
    // pencere ilk basladiginda
    // degiskenler buradaki degerleri alirlar
    public void init()
    {
    k1=new bayagikesir(1,2);
    k2=new bayagikesir(2,4);
    Container c=getContentPane();
    c.setLayout(new FlowLayout());
    kutubasligi1=new JLabel("Birinci bayagikesir sayiyi giriniz : ");
    c.add(kutubasligi1);
    kutugirdisi1=new JTextField(5);
    kutugirdisi1.addActionListener(this);
    c.add(kutugirdisi1);
    kutugirdisi2=new JTextField(5);
    kutugirdisi2.addActionListener(this);
    c.add(kutugirdisi2);
    kutubasligi2=new JLabel("Ikinci bayagikesir sayiyi giriniz : ");
    c.add(kutubasligi2);
    kutugirdisi3=new JTextField(5);
    kutugirdisi3.addActionListener(this);
    c.add(kutugirdisi3);
    kutugirdisi4=new JTextField(5);
    kutugirdisi4.addActionListener(this);
    c.add(kutugirdisi4);
    cikti=new JTextField(" ");
    }
    //=====================================================
    // girdi alanindaki olan olaylari dinleme metodu
    // Her yeni rakam girildiginde bu metod cagirilir
    public void actionPerformed(ActionEvent e)
    {
       Integer sayi1,sayi2,sayi3,sayi4;
       sayi1=new Integer(kutugirdisi1.getText() );
       sayi2=new Integer(kutugirdisi2.getText() );
       sayi3=new Integer(kutugirdisi3.getText() );
       sayi4=new Integer(kutugirdisi4.getText() );
       showStatus("Hesaplaniyor....");
       k1.bayagikesirGir(sayi1.intValue(),sayi2.intValue());
       k2.bayagikesirGir(sayi3.intValue(),sayi4.intValue());
       showStatus("Hesaplandi");
       String s="";
       s+="ilk sayi            : "+k1.toString()+"\n";
       s+="ikinci sayi         : "+k2.toString();
       s+="iki sayinin toplami : "+bayagikesir.toString(bayagikesir.topla(k1,k2))+"\n";
       s+="iki sayinin farki   : "+bayagikesir.toString(bayagikesir.cikar(k1,k2))+"\n";
       s+="iki sayinin carpimi : "+bayagikesir.toString(bayagikesir.carp(k1,k2))+"\n";
       s+="iki sayinin bolumu  : "+bayagikesir.toString(bayagikesir.bol(k1,k2))+"\n";
       cikti.setText(s);
       repaint();//pencereyi yeniden paint metoduna gore ciz
    }
    //=====================================================

}
